kullback.leibler {Rtreemix} | R Documentation

## Kullback-Leibler divergence

### Description

A function for calculating the Kullback-Leibler divergence between two discrete probability distributions. The vectors specifying the probability distributions must have the same length.

### Usage

    kullback.leibler(p, q)

### Arguments

`p` | A `numeric` vector specifying the the first probability distribution. It has to have the same length as `q`.
`q` | A `numeric` vector specifying the the second probability distribution.

### Value

The function returns the Kullback-Leibler divergence between the two specified descrete probability distributions.

### Warning

The function does not check whether the values in the vectors specifying the discrete probability distributions sum up to one.

### Author(s)

Jasmina Bogojeska

### See Also

`L1.dist`, `L2.norm`, `stability.sim`

### Examples

    ## Define two discrete probability distributions with equal lengths.
    p <- c(0.1, 0.2, 0.3, 0.4)
    q <- c(0.2, 0.5, 0.1, 0.2)

    ## Calculate the Kullback-Leibler divergence
    ## between the probability distributions p and q
    kullback.leibler(p, q)

[Package Rtreemix version 1.4.0 Index]